package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.domain.request.LandRequest;
import com.caliverse.admin.dynamodb.domain.atrrib.LandAttrib;
import com.caliverse.admin.dynamodb.domain.doc.LandDoc;
import com.caliverse.admin.dynamodb.entity.DynamodbOperationResult;

public interface LandRepository extends DynamoDBRepository<LandDoc> {
    LandAttrib findLandAttrib(Integer landId);
    void insertLand(LandRequest landRequest);
    void updateLand(LandRequest landRequest);
    DynamodbOperationResult initLandOwner(int landId);
    DynamodbOperationResult initLandDesc(int landId);
}
